<template>
  <div>
    <div class="header">
      <Search @search-movie="searchContacts"/>

      <AddContactBtn @add-contact="addNewContact"/>
    </div>

    <v-app id="inspire">
      <v-card
        width="900"
        class="mx-auto"
      >

        <ContactList  v-if="allContacts.length" :contacts="allContacts"/>
        <p v-else style='text-align: center'>No Contacts!</p>

      </v-card>
    </v-app>
  </div>
</template>

<script>
import Search from '../components/Search'
import ContactList from '../components/ContactList'
import { mapGetters, mapActions } from 'vuex'
import AddContactBtn from '../components/AddContact/AddContactBtn'

export default {
  name: 'movies',
  computed: mapGetters(['allContacts']),
  methods: {
    ...mapActions(['addNewContact', 'searchContacts']),
},
  components: {
    AddContactBtn,
    ContactList,
    Search,
  }
}
</script>

<style scoped>
.header {
  width: 900px;
  margin: auto;
  display: flex;
  justify-content: space-around;
  align-items: center;

}
</style>
